Delete a PCD snapshot
DELETE
/pcd/{databaseId}/snapshots/{snapshotId}
const url = 'https://example.com/api/v1/pcd/1/snapshots/1';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/v1/pcd/1/snapshots/1Deletes a snapshot. Ownership is enforced — the snapshot must belong to the specified database.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”databaseId
required
integer
PCD database ID
snapshotId
required
integer
PCD snapshot ID
Responses
Section titled “Responses”Snapshot deleted
Invalid parameters
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Snapshot not found or doesn’t belong to database
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Delete failed
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}